//
// Copyright 2014 Perforce Software Inc.
//

using System.Windows;

namespace Perforce.Helper {
    public class GroupAttribute : DependencyObject {
        public static string GetGroupName(DependencyObject obj) {
            return (string)obj.GetValue(NameProperty);
        }
        public static void SetGroupName(DependencyObject obj, string value) {
            obj.SetValue(NameProperty, value);
        }

        public static readonly DependencyProperty NameProperty = DependencyProperty.RegisterAttached("GroupName", typeof(string), typeof(GroupAttribute), new UIPropertyMetadata(null));
    }
}
